.pt-o-block-bottom-gradient {
  width: 100%;
  height: 100%;
  background: $white;
  border-radius: 1.2rem;
  position: relative;

  &::before {
    width: 100%;
    height: 1.2rem;
    background: linear-gradient(-90deg, $aqua, $dodgerBlue);
    border-radius: 0 0 1.2rem 1.2rem;
    content: '';
    pointer-events: none;
    position: absolute;
    bottom: 0;
    left: 0;
  }

  &-with-header {
    width: 100%;
    height: 100%;
    background: $white;
    border-radius: 1.2rem;
    position: relative;

    &.--sm-header {
      .pt-o-block-bottom-gradient {
        &-with-header {
          &__header {
            height: calc(32% - 3.2rem);
          }

          &__content {
            height: calc(72% + 3.2rem);
            & > div > div {
              padding: 0 1.7rem 2rem 0;
            }
          }
        }
      }
    }

    &::before {
      width: 100%;
      height: 1.2rem;
      background: linear-gradient(-90deg, $aqua, $dodgerBlue);
      border-radius: 0 0 1.2rem 1.2rem;
      content: '';
      pointer-events: none;
      position: absolute;
      bottom: 0;
      left: 0;
    }

    &__header {
      width: 100%;
      height: 34%;
      padding: 2rem 3.2rem;
      background: linear-gradient($mayaBlue, $dodgerBlue);
      border-radius: 1.2rem 1.2rem 0 0;
      text-align: center;
    }

    &__content {
      width: calc(100% - 4rem);
      height: 72%;
      padding: 3.2rem 0.6rem 3.2rem 8.8rem;
      background: $white;
      border-radius: 4rem;
      box-shadow: 0 1.2rem 4rem rgba($color: $dodgerBlue, $alpha: 0.2);
      position: absolute;
      bottom: 3.4rem;
      left: 2rem;

      & > div > div{
        padding: 0 1.7rem 2rem 0;
      }
    }
  }
}

@include desktop-md {
  .pt-o-block-bottom-gradient {
    &-with-header {
      &.--sm-header {
        .pt-o-block-bottom-gradient {
          &-with-header {
            &__header {
              height: calc(34% - 1.2rem);
              padding-top: 1rem;
            }

            &__content {
              height: calc(72% + 1.2rem);
            }
          }
        }
      }

      &__header {
        padding: 2rem 3.2rem;
      }
    }
  }
}

@include desktop-sm {
  .pt-o-block-bottom-gradient {
    &-with-header {
      &.--sm-header {
        .pt-o-block-bottom-gradient {
          &-with-header {
            &__header {
              height: 34%;
            }

            &__content {
              height: 72%;
            }
          }
        }
      }

      &__header {
        padding: 1.6rem 3.2rem;
      }
    }
  }
}

@include screen-768-1024-portrait{
  .pt-o-block-bottom-gradient {
    height: unset;
    min-height: 25rem;
    &-with-header {
      &.--sm-header {
        .pt-o-block-bottom-gradient {
          &-with-header {
            &__header {
              height: 34%;
            }

            &__content {
              height: 100% !important;
              padding-bottom: 0rem;
              top: 8rem;

              & > div{
                overflow: auto !important;
                width: 100% !important;
                height: calc(100% - 9rem) !important;
                margin-bottom: 3rem;
                top: 0;
              }
            }
          }
        }
      }

      &__header {
        padding: 1.6rem 3.2rem;
      }
    }
  }
}

@include screen-767-portrait{
  .pt-o-block-bottom-gradient {
    height: unset;
    &-with-header {
      &.--sm-header {
        .pt-o-block-bottom-gradient {
          &-with-header {
            &__header {
              height: 34%;
            }

            &__content {
              height: inherit;
              padding-bottom: 10rem;
              top: 2%;

              & > div{
                overflow: auto !important;
                width: 100% !important;
                height: calc(100% - 2rem) !important;
                padding-bottom: 3rem !important;
              }
            }
          }
        }
      }

      &__header {
        padding: 0 3.2rem;
        display: flex;
        align-items: center;
      }
    }
  }
}

//landscape
@include screen-1024-landscape{
  .pt-o-block-bottom-gradient {
    height: unset;
    min-height: unset;
  }
}